parameters:
  sf9_meridian.mapping.product:
    style_code: 'styleCode'
    style_group: 'styleCode'
    name: 'name'
    description:
      - 'name'
      - ~
      - 'toProper'
    vat_rate: 'vatRate'
    supplier: 'a3Desc'
    product_type: 'a2Desc'
    $property:
      - - 'a1Desc'
        - ~
        - 'toArray'
        - key: 'main_category'
      - - 'a2Desc'
        - ~
        - 'toArray'
        - key: 'product_type'

  sf9_meridian.mapping.variant:
    sku: 'eposCode'
    style_code: 'styleCode'
    price: 'retailPrice'
    offer_price: 'rrp'
    colour: 'colourDesc'
    size: 'sizeDesc'

  sf9_meridian.mapping.price:
    sku: 'eposCode'
    style_code: 'styleCode'
    price: 'retailPrice'
    offer_price: 'rrp'
    colour: 'colourDesc'
    size: 'sizeDesc'


  sf9_meridian.mapping.image:
    style_code: 'styleCode'
    file_name: 'fileName'
    file_name_without_extension: 'fileNameWithoutExtension'
    sort: 'sort'
    path: 'path'
    is_main: 'main'
    alt_tag: 'altTag'
    properties: 'properties'
    variant_options: 'variantOptions'


